| ## g_morph Main Table of Contents | VERSION 4.5 Thu 26 Aug 2010

### Description

g_morph does a linear interpolation of conformations in order to create intermediates. Of course these are completely unphysical, but that you may try to justify yourself. Output is in the form of a generic trajectory. The number of intermediates can be controlled with the -ninterm flag. The first and last flag correspond to the way of interpolating: 0 corresponds to input structure 1 while 1 corresponds to input structure 2. If you specify first < 0 or last > 1 extrapolation will be on the path from input structure x1 to x2. In general the coordinates of the intermediate x(i) out of N total intermidates correspond to:

x(i) = x1 + (first+(i/(N-1))*(last-first))*(x2-x1)

Finally the RMSD with respect to both input structures can be computed if explicitly selected (-or option). In that case an index file may be read to select what group RMS is computed from.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f1` | `conf1.gro` | Input | Structure file: gro g96 pdb tpr etc.
`-f2` | `conf2.gro` | Input | Structure file: gro g96 pdb tpr etc.
`-o` | `interm.xtc` | Output | Trajectory: xtc trr trj gro g96 pdb cpt
`-or` | `rms-interm.xvg` | Output, Opt. | xvgr/xmgr file
`-n` | `index.ndx` | Input, Opt. | Index file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | gmx_bool | `no` | Print help info and quit
`-[no]version` | gmx_bool | `no` | Print version info and quit
`-nice` | int | `0` | Set the nicelevel
`-[no]w` | gmx_bool | `no` | View output xvg, xpm, eps and pdb files
`-xvg` | enum | `xmgrace` | xvg plot formatting: `xmgrace`, `xmgr` or `none`
`-ninterm` | int | `11` | Number of intermediates
`-first` | real | `0` | Corresponds to first generated structure (0 is input x0, see above)
`-last` | real | `1` | Corresponds to last generated structure (1 is input x1, see above)
`-[no]fit` | gmx_bool | `yes` | Do a least squares fit of the second to the first structure before interpolating

http://www.gromacs.org
gromacs@gromacs.org